# FANNConnection::__construct

(PECL fann >= 1.0.0)

FANNConnection::__construct — The connection constructor

### Description

public FANNConnection::__construct ( int `$from_neuron` , int `$to_neuron` , float `$weight` )

Create new connection and initialize its params. After creating the connection, only weight can be changed.

### Parameters

`from_neuron`

  The postion number of starting neuron.

`to_neuron`

  The postion number of terminating neuron.

`weight`

  The connection weight value.